Subject: Re: bug#59715: 28.2; Emacs crashes after ``turkish-case-conversion-enable''

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Dec 2022 19:38:31 +0200

> From: YUSUF ALPER ÇIKIŞIR
>  <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 04 Dec 2022 16:56:39 +0300
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Then, when the breakpoint breaks, look at the name it displays and see if
> > you see some pattern that has "Iosevka" in it.  You will have to type
> > "continue" each time the breakpoint breaks, to continue Emacs.  If I'm
> > right, you will see something with "Iosevka" in it.
> 
> I'm not seeing the "Iosevka" string.

Well, another, perhaps crude way is like this: add to the function Fdowncase
some simple code which will detect when it is called with the string that
matches "Iosevka", and will call some function, like emacs_abort.  Then you
can put a breakpoint at the line of this call, and when it breaks, see what
the C-level backtrace tells us.

Would you like to try that?  If so, I can help you write that code snippet.

Thanks.